--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: server
  rw: R
class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: This module is included by all classes that are either bound to a server or should have a casemap.
constants: []

full_name: Irc::ServerOrCasemap
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: casemap
- !ruby/object:RI::MethodSummary 
  name: downcase
- !ruby/object:RI::MethodSummary 
  name: fits_with_server_and_casemap?
- !ruby/object:RI::MethodSummary 
  name: init_server_or_casemap
- !ruby/object:RI::MethodSummary 
  name: irc_downcase
- !ruby/object:RI::MethodSummary 
  name: irc_upcase
- !ruby/object:RI::MethodSummary 
  name: server_and_casemap
- !ruby/object:RI::MethodSummary 
  name: upcase
name: ServerOrCasemap
superclass: 
